<div>
  logged in as <i><%= User.find(session[:user_id]).name %></i>.
  <span id="logout_box">
  <%= link_to ("Logout", :controller=>'login', :action=>'logout') %>
  </span>
</div>

<div id="notices">
	<% if flash.include?(:notices) %>
          <% flash[:notices].each do |notice| %>
            <div id="notice"><%= notice %></div>
          <% end -%>
        <% end %>


       <% if !@notices.nil? %>
        <% @notices.each do |notice| %>
          <div id="notice"><%= notice %></div>
        <% end -%>
      <% end %>
      </div>
</div>

<div id="periodical_call">
<script>stop_polling = false;</script>
<%=periodically_call_remote(     
		  :frequency => 5,
		  :condition => 'stop_polling == false',
		  :url => {
                    :controller=>'gadget', 
                    :action => 'update_areas'}
		  )
%>
</div>

 <div id="templates">
  <%= display_area('templates',
                  render(:partial => 'templates',
     	          :collection => @areas['templates']))
  %>  
</div>  

<%
areas = [
         'stopped',
         'started',
	 'destroy'
        ]

areas.each do |area|
  # Expecting areas to be a hash of arrays
  # Expecting each item of the arrays items to have a "caption" member
  @areas[area].sort! {|first, second| first.caption <=> second.caption}
-%>
  <div id="<%=area%>">
  <%=display_area(area, 
                  render(:partial => area, :collection => @areas[area]))
  %>
  </div>
<%
end
-%>

</div>


